#
# spec file for package units (Version 1.85)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           units
URL:            http://www.gnu.org/software/units/
BuildRequires:  readline-devel
License:        LGPL
Group:          Productivity/Scientific/Physics
Autoreqprov:    on
Version:        1.85
Release:        14.2
Summary:        Units Conversion Utility
Source:         units-%version.tar.gz
Patch1:         units-%version-destdir.patch
Patch2:         warn.patch
Patch3:         decls.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The 'units' program converts quantities expressed in various scales to
their equivalents in other scales.

Units can also convert temperature values (Fahrenheit to Celsius, for
example) but this needs a slightly different input syntax. See the man
page for details.



Authors:
--------
    Adrian Mariano <adrian@cam.cornell.edu>

%debug_package
%prep
%setup
%patch1 -p1
%patch2
%patch3

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-, root, root)
/usr/bin/units
/usr/share/units.dat
%doc %{_infodir}/units.info.gz
%doc %{_mandir}/man1/units.1.gz

%changelog -n units
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun May 22 2005 - schwab@suse.de
- Update to units 1.85.
* Thu Oct 07 2004 - schwab@suse.de
- Update to units 1.80.
* Sat Sep 11 2004 - schwab@suse.de
- Fix missing declarations.
* Sat Apr 17 2004 - schwab@suse.de
- Pacify autobuild.
* Fri Feb 27 2004 - schwab@suse.de
- Add %%defattr.
* Thu Apr 17 2003 - coolo@suse.de
- use BuildRoot
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Jun 13 2002 - uli@suse.de
- update -> 1.74 (rewritten parser supports () for grouping,
  supports noninteger powers of numbers (e.g. 3^0.25), supports a bunch of
  functions (log, ln, log2, sin, cos, tan, exp) which can have units as
  arguments but they must reduce to dimensionless (e.g.
  log(watts/horsepower)), supports sqrt(unit) and cuberoot(unit), higher
  roots as unit^(1|4); functions can be defined in units.dat along with
  their inverse, and conversion to a function by specifying it's name alone
  as the "want" item; tables with linear interpolation)
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Mon Sep 25 2000 - uli@suse.de
- update -> 1.55
* Wed Mar 01 2000 - schwab@suse.de
- Specfile cleanup, remove Makefile.Linux
- /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 22 1997 - florian@suse.de
- first version of units 1.53
